Bug 202195 - CVE-2006-4019 Squirrelmail authenticated user variable overwriting
CVE-2006-4019 Squirrelmail authenticated user variable overwriting
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squirrelmail (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
source=squirrelmail,reported=20060811...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-11 10:39 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0668
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-26 08:28:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-08-11 10:39:54 EDT
Squirrelmail authenticated user variable overwriting

A bug was fixed in squirrelmail 1.4.8 which could allow a logged in
user to overwrite random variables in compose.php with arbitrary data.
This may allow a user to read or write another users preferences or
mail attachments.

More information can be found here:
http://www.squirrelmail.org/security/issue/2006-08-11


This issue also affects RHEL3
Comment 4 Red Hat Bugzilla 2006-09-26 08:28:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0668.html

Note You need to log in before you can comment on or make changes to this bug.